Sun Java System Application Server Platform Edition 8.1 2005Q2 Update 2 Reference Manual

## create-jdbc-connection-pool(1)

NAME | SYNOPSIS | DESCRIPTION | OPTIONS | OPERANDS | EXAMPLES | EXIT STATUS | SEE ALSO

#### NAME

create-jdbc-connection-pool– registers the JDBC connection pool

#### SYNOPSIS

`create-jdbc-connection-pool` ––user admin_user [––passwordfile filename] [––host host_name] [––port port_number] [––secure|`–s`] [––terse=false] [––echo=false] [––interactive=true] [––help] [––datasourceclassname classname] [––restype res_type] [––steadypoolsize poolsize] [––maxpoolsize poolsize] [––maxwait time] [––poolresize limit] [––idletimeout time] [––isolationlevel isolation_level] [––isolationguaranteed true] [––isconnectvalidatereq false] [––validationmethod auto-commit] [––validationtable tablename] [––failconnection false] [––description text] [––property (name=value)[:name=value]*] connectionpoolid

#### DESCRIPTION

Registers a new JDBC connection pool with the specified JDBC connection pool name.

This command is supported in remote mode only.

#### OPTIONS

`–u` `––user`

  The authorized domain application server administrative username.

`–w` `––password`

  The `––password` option is deprecated. Use `––passwordfile` instead.

`––passwordfile`

  This option replaces the `–– password` option. Using the `––password` option on the command line or through the environment is deprecated. The `––passwordfile` option specifies the name of a file containing the password entries in a specified format. The entry for the password must have the AS_ADMIN_ prefix followed by the password name in capital letters. For example, to specify the domain application server password, use an entry with the following format: `AS_ADMIN_PASSWORD`=password, where password is the actual administrator password. Other passwords that can be specified include AS_ADMIN_MAPPEDPASSWORD, AS_ADMIN_USERPASSWORD, AS_ADMIN_SAVEDMASTERPASSWORD, AS_ADMIN_MQPASSWORD, AS_ADMIN_ALIASPASSWORD, and so on.

`–H` `––host`

  The machine name where the domain application server is running. The default value is localhost.

`–p` `––port`

  The port number of the domain application server listening for administration requests. The default port number for Platform Edition is 4848. The default port number for Enterprise Edition is 4849.

`–s` `––secure`

  If set to true, uses SSL/TLS to communicate with the domain application server.

`–t` `––terse`

  Indicates that any output data must be very concise, typically avoiding human-friendly sentences and favoring well-formatted data for consumption by a script. Default is false.

`–e` `––echo`

  Setting to true will echo the command line statement on the standard output. Default is false.

`–I` `––interactive`

  If set to true (default), only the required password options are prompted.

`–h` `––help`

  Displays the help text for the command.

`––target`

  The target option is deprecated.

`––datasourceclassname`

  The name of the vendor supplied JDBC datasource resource manager.

`––restype`

  The interface that the datasource class implements. Must be one of `javax.sql.DataSource`, `javax.sql.ConnectionPoolDataSource` or `javax.sql.XADataSource`. An error is produced when this option has a legal value and the indicated interface is not implemented by the datasource class. This option has no default value.

`––steadypoolsize`

  The minimum and initial number of connections maintained in the pool. The default value is 8.

`––maxpoolsize`

  The maximum number of connections that can be created. The default value is 32.

`––maxwait`

  The amount of time a caller will wait before a connection timeout is sent. The default is 60 seconds. A value of 0 forces the caller to wait indefinitely.

`––poolresize`

  The number of connections to be removed when `idletimeout` timer expires. Connections that have idled for longer than the timeout are candidates for removal. When the pool size reaches `steadypoolsize`, the connection removal stops. The default value is 2.

`––idletimeout`

  The maximum time in seconds that a connection can remain idle in the pool. After this time, the implementation can close this connection. It is recommended that this timeout is kept shorter than the server side timeout to prevent the accumulation of unusable connections in the application. The default value is 300.

`––isolationlevel`

  This specifies the transaction-isolation-level on the pooled database connections. This option does not have a default value. If not specified, the pool operates with the default isolation level that the JDBC driver provides.

  You can set a desired isolation level using one of the standard transaction isolation levels: `read-uncommitted`, `read-committed`, `repeatable-read`, `serializable`. Applications that change the isolation level on a pooled connection programmatically risk polluting the pool. This could lead to program errors.

`––isisolationguaranteed`

  This is applicable only when a particular isolation level is specified for transaction-isolation-level. The default value is true.

  This option assures that every time a connection is obtained from the pool,isolationlevel is set to the desired value. This could have some performance impact on some JDBC drivers. Administrators can set this to false when the application does not change `––isolationlevel` before returning the connection.

`––isconnectvalidatereq`

  If set to true, connections are validated or checked to see if they are usable before giving out the application. The default value is false.

`––validationmethod`

  The name of the validation table used to perform a query to validate a connection. Valid settings are: `auto-commit`, `meta-data`, or `table`. The default value is auto-commit.

`––validationtable`

  The name of the validation table used to perform a query to validate a connection.

`––failconnection`

  If set to true, all connections in the pool must be closed when a single validation check fails. The default value is false. One attempt is made to re-establish failed connections.

`––description`

  Text providing descriptive details about the specified JDBC connection pool.

`––property`

  Optional attribute name/value pairs for configuring the connection pool.

#### OPERANDS

connection_pool_id

  The name of the JDBC connection pool to be created.

#### EXAMPLES

##### Example 1 Using create-jdbc-connection-pool command

    asadmin> create-jdbc-connection-pool --user admin --passwordfile adminadminfile
    --host fuyako --port 7070 --datasourceclassname com.pointbase.jdbc.jdbcUniversalDriver
     --restype jax.sql.XADataSource --isolationlevel serializable --isconnectvalidatereq=true
    --validationmethod auto-commit --description "XA Connection"
    --property DatabaseName="jdbc\:pointbase\:server\:\/\/localhost:9093\/sample"
    :User=public:Password=public XA_connection_pool
    Command create-jdbc-connection-pool executed successfully

Where: the XA_connection_pool is created. The escape character “\” is used in the `--property` option to distinguish the colons (:) and the backslash (/).

#### EXIT STATUS

0

  command executed successfully

1

  error in executing the command

#### SEE ALSO

delete-jdbc-connection-pool(1), list-jdbc-connection-pools(1)

J2EE SDK 1.4 Last Revised 31 Jan 2005

NAME | SYNOPSIS | DESCRIPTION | OPTIONS | OPERANDS | EXAMPLES | EXIT STATUS | SEE ALSO

- © 2010, Oracle Corporation and/or its affiliates